Subject: Re: cat and binary files
From: [email-masked] (Tim Iverson)

10 Apr 1997 09:56:24 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Ed Huott)
Original-Cc: [email-masked], [email-masked]
In-Reply-To: <[email-masked]> from "Ed Huott" at Apr 9, 97 05:22:26 pm
X-Mailer: ELM [version 2.4 PL25]
Original-Sender: [email-masked]

If cat is stopping at Ctl-Z on anything but console input, it is a bug.
There has been no actual "end-of-file" marker in DOS since version 2.0.
The Ctl-Z is only EOF for the *console*, just like Ctl-D is EOF for
/dev/tty under Unix.  And, like /dev/tty, it's only EOF when the console is
in cooked mode.  If you put the console into raw mode, Ctl-Z does nothing.

Some DOS programs have yet to alter their behavior and still place Ctl-Z at
the end of disk files.  This is also a bug, though if you want to support
DOS 1.0, you could call it a feature.

All this aside, IMHO, cat is inherently a binary program -- it shouldn't
care whether newline is CR, LF, or CR+LF unless one of the line-based
options is used (bns).

BTW, I wouldn't recommend using binary mode.  I tried that briefly and
found that rebuilding will fail rather miserably.

- Tim Iverson
  [email-masked]


+----------------
| To: [email-masked]
| cc: Win32 Mailing List <[email-masked]>
| Subject: Re: cat and binary files 
| Date: Wed, 09 Apr 1997 17:22:26 -0400
| From: Ed Huott <[email-masked]>
| 
| In message <[email-masked]>, Marc Auslander writes:
| >cat seems to stop before the end of input - I assume at an end of file
| >character.  cat --help doesn't offer a binary flag.  How can I cat
| 
| Use the 'mount' command with the '-b' option to make sure that the
....
| can be set to 1 to turn on the behavior where all files are treated as
| binary (recommended).
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".